function $parcel$export(e, n, v, s) {
  Object.defineProperty(e, n, {get: v, set: s, enumerable: true, configurable: true});
}
var $parcel$global =
typeof globalThis !== 'undefined'
  ? globalThis
  : typeof self !== 'undefined'
  ? self
  : typeof window !== 'undefined'
  ? window
  : typeof global !== 'undefined'
  ? global
  : {};
var $parcel$modules = {};
var $parcel$inits = {};

var parcelRequire = $parcel$global["parcelRequiree0ba"];
if (parcelRequire == null) {
  parcelRequire = function(id) {
    if (id in $parcel$modules) {
      return $parcel$modules[id].exports;
    }
    if (id in $parcel$inits) {
      var init = $parcel$inits[id];
      delete $parcel$inits[id];
      var module = {id: id, exports: {}};
      $parcel$modules[id] = module;
      init.call(module.exports, module, module.exports);
      return module.exports;
    }
    var err = new Error("Cannot find module '" + id + "'");
    err.code = 'MODULE_NOT_FOUND';
    throw err;
  };

  parcelRequire.register = function register(id, init) {
    $parcel$inits[id] = init;
  };

  $parcel$global["parcelRequiree0ba"] = parcelRequire;
}
parcelRequire.register("9FUqN", function(module, exports) {

$parcel$export(module.exports, "isEmpty", function () { return isEmpty; }, function (v) { return isEmpty = v; });
$parcel$export(module.exports, "byteLength", function () { return byteLength; }, function (v) { return byteLength = v; });
$parcel$export(module.exports, "uniqueID", function () { return uniqueID; }, function (v) { return uniqueID = v; });
$parcel$export(module.exports, "differ", function () { return differ; }, function (v) { return differ = v; });
$parcel$export(module.exports, "likeArray", function () { return likeArray; }, function (v) { return likeArray = v; });
$parcel$export(module.exports, "makeArray", function () { return makeArray; }, function (v) { return makeArray = v; });
$parcel$export(module.exports, "groupBy", function () { return groupBy; }, function (v) { return groupBy = v; });
$parcel$export(module.exports, "parseJSON", function () { return parseJSON; }, function (v) { return parseJSON = v; });
$parcel$export(module.exports, "parseTextTable", function () { return parseTextTable; }, function (v) { return parseTextTable = v; });
$parcel$export(module.exports, "makeCRC32", function () { return makeCRC32; }, function (v) { return makeCRC32 = v; });
$parcel$export(module.exports, "makeSHA", function () { return makeSHA; }, function (v) { return makeSHA = v; });

var $30Sys = parcelRequire("30Sys");
function isEmpty(value) {
    return !(value != null) || !value && isNaN(value) || value + '' === '';
}
function byteLength(raw) {
    return raw.replace(/[^\u0021-\u007e\uff61-\uffef]/g, 'xx').length;
}
function uniqueID() {
    return (Date.now() + parseInt((Math.random() + '').slice(2))).toString(36);
}
function differ(target, source) {
    const data = {
    };
    for(const key in source)if (!(target[key] != null)) data[key] = source[key];
    return data;
}
function likeArray(data) {
    const { length  } = data;
    return typeof length === 'number' && length >= 0 && ~~length === length;
}
function makeArray(data) {
    if (data instanceof Array) return data;
    if (likeArray(data)) return Array.from(data);
    return [
        data
    ];
}
function groupBy(list, iteratee) {
    const data = {
    };
    for (const item of list){
        let keys = iteratee instanceof Function ? iteratee(item) : item[iteratee];
        if (!(keys instanceof Array)) keys = [
            keys
        ];
        for (const key1 of new Set(keys.filter((key)=>key != null
        )))(data[key1] = data[key1] || []).push(item);
    }
    return data;
}
function parseJSON(raw) {
    try {
        return JSON.parse(raw, (key, value)=>typeof value === 'string' && $30Sys.ISODatePattern.test(value) ? new Date(value) : value
        );
    } catch  {
        return raw;
    }
}
function readQuoteValue(raw) {
    const quote = raw[0];
    const index = raw.indexOf(quote, 1);
    if (index < 0) throw SyntaxError(`A ${quote} is missing`);
    return raw.slice(1, index);
}
function parseTextTable(raw, header, separator = ',') {
    const data = raw.trim().split(/[\r\n]+/).map((row)=>{
        const list = [];
        do {
            let value;
            if (row[0] === '"' || row[0] === "'") {
                value = readQuoteValue(row);
                row = row.slice(value.length + 3);
            } else {
                const index = row.indexOf(separator);
                if (index > -1) {
                    value = row.slice(0, index);
                    row = row.slice(index + 1);
                } else {
                    value = row;
                    row = '';
                }
            }
            try {
                value = value.trim();
                list.push(JSON.parse(value));
            } catch (error) {
                list.push(value);
            }
        }while (row)
        return list;
    });
    return !header ? data : data.slice(1).map((row)=>row.reduce((object, item, index)=>{
            object[data[0][index]] = item;
            return object;
        }, {
        })
    );
}
const CRC_32_Table = Array.from(new Array(256), (_, cell)=>{
    for(var j = 0; j < 8; j++)if (cell & 1) cell = cell >> 1 & 2147483647 ^ 3988292384;
    else cell = cell >> 1 & 2147483647;
    return cell;
});
function makeCRC32(raw) {
    var value = 4294967295;
    for (const char of raw)value = value >> 8 & 16777215 ^ CRC_32_Table[value & 255 ^ char.charCodeAt(0)];
    return '0x' + ((value ^ 4294967295) >>> 0).toString(16);
}
if (typeof (module === null || module === void 0 ? void 0 : module.exports) === 'undefined') {
    if ('msCrypto' in globalThis) {
        // @ts-ignore
        const { subtle  } = globalThis.crypto = globalThis.msCrypto;
        for(const key in subtle){
            const origin = subtle[key];
            if (origin instanceof Function) subtle[key] = function() {
                const observer = origin.apply(this, arguments);
                return new Promise((resolve, reject)=>{
                    observer.oncomplete = ({ target  })=>resolve(target.result)
                    ;
                    observer.onabort = observer.onerror = reject;
                });
            };
        }
    }
    const { crypto  } = globalThis;
    if (!crypto.subtle && crypto['webkitSubtle']) // @ts-ignore
    crypto.subtle = crypto['webkitSubtle'];
}
async function makeSHA(raw, algorithm = 'SHA-1') {
    const buffer = await crypto.subtle.digest(algorithm, new TextEncoder().encode(raw));
    return Array.from(new Uint8Array(buffer), (byte)=>byte.toString(16).padStart(2, '0')
    ).join('');
}

});
parcelRequire.register("30Sys", function(module, exports) {

$parcel$export(module.exports, "Second", function () { return $e244f00e02a34cb8$export$c489aa6f7fd82b1a; });
$parcel$export(module.exports, "Minute", function () { return $e244f00e02a34cb8$export$cbd942915f33be50; });
$parcel$export(module.exports, "Quarter", function () { return $e244f00e02a34cb8$export$9b886f8493244014; });
$parcel$export(module.exports, "Hour", function () { return $e244f00e02a34cb8$export$e99cbb807a5bb10d; });
$parcel$export(module.exports, "Day", function () { return $e244f00e02a34cb8$export$7a9a31a911eb9a20; });
$parcel$export(module.exports, "Week", function () { return $e244f00e02a34cb8$export$fca4f8121099df57; });
$parcel$export(module.exports, "Year", function () { return $e244f00e02a34cb8$export$6ce2f08d515512; });
$parcel$export(module.exports, "Month", function () { return $e244f00e02a34cb8$export$951c8378cdfec6e6; });
$parcel$export(module.exports, "Season", function () { return $e244f00e02a34cb8$export$1a4097b876a13bf7; });
$parcel$export(module.exports, "ISODatePattern", function () { return $e244f00e02a34cb8$export$91505678358c9225; });
$parcel$export(module.exports, "diffTime", function () { return $e244f00e02a34cb8$export$506c8e8f8c8edda; });
$parcel$export(module.exports, "formatDate", function () { return $e244f00e02a34cb8$export$3ae94a2503e890a1; });
$parcel$export(module.exports, "changeMonth", function () { return $e244f00e02a34cb8$export$62ad822b3a5fd9a0; });
const $e244f00e02a34cb8$export$c489aa6f7fd82b1a = 1000;
const $e244f00e02a34cb8$export$cbd942915f33be50 = $e244f00e02a34cb8$export$c489aa6f7fd82b1a * 60;
const $e244f00e02a34cb8$export$9b886f8493244014 = $e244f00e02a34cb8$export$cbd942915f33be50 * 15;
const $e244f00e02a34cb8$export$e99cbb807a5bb10d = $e244f00e02a34cb8$export$9b886f8493244014 * 4;
const $e244f00e02a34cb8$export$7a9a31a911eb9a20 = $e244f00e02a34cb8$export$e99cbb807a5bb10d * 24;
const $e244f00e02a34cb8$export$fca4f8121099df57 = $e244f00e02a34cb8$export$7a9a31a911eb9a20 * 7;
const $e244f00e02a34cb8$export$6ce2f08d515512 = $e244f00e02a34cb8$export$7a9a31a911eb9a20 * 365;
const $e244f00e02a34cb8$export$951c8378cdfec6e6 = $e244f00e02a34cb8$export$6ce2f08d515512 / 12;
const $e244f00e02a34cb8$export$1a4097b876a13bf7 = $e244f00e02a34cb8$export$951c8378cdfec6e6 * 3;
const $e244f00e02a34cb8$export$91505678358c9225 = /^\d{4}(-\d{2}){2}T\d{2}(:\d{2}){2}\.\d{3}Z$/;
const $e244f00e02a34cb8$var$TimeUnit = new Map([
    [
        's',
        $e244f00e02a34cb8$export$c489aa6f7fd82b1a
    ],
    [
        'm',
        $e244f00e02a34cb8$export$cbd942915f33be50
    ],
    [
        'H',
        $e244f00e02a34cb8$export$e99cbb807a5bb10d
    ],
    [
        'D',
        $e244f00e02a34cb8$export$7a9a31a911eb9a20
    ],
    [
        'W',
        $e244f00e02a34cb8$export$fca4f8121099df57
    ],
    [
        'M',
        $e244f00e02a34cb8$export$951c8378cdfec6e6
    ],
    [
        'Y',
        $e244f00e02a34cb8$export$6ce2f08d515512
    ]
]);
function $e244f00e02a34cb8$export$506c8e8f8c8edda(end, start = new Date(), map = $e244f00e02a34cb8$var$TimeUnit) {
    const distance = +new Date(end) - +new Date(start);
    for (const [unit, base] of [
        ...map
    ].reverse()){
        const rest = distance / base;
        if (Math.abs(rest) >= 1) return {
            distance: +rest.toFixed(0),
            unit: unit
        };
    }
    return {
        distance: distance,
        unit: 'ms'
    };
}
function $e244f00e02a34cb8$var$fitUnit(value) {
    value = +value + '';
    return (template)=>(value.length < template.length ? value.padStart(template.length, '0') : value).slice(-Math.max(template.length, 2))
    ;
}
function $e244f00e02a34cb8$export$3ae94a2503e890a1(time = new Date(), template = 'YYYY-MM-DD HH:mm:ss') {
    time = time instanceof Date ? time : new Date(time);
    time = new Date(+time - time.getTimezoneOffset() * $e244f00e02a34cb8$export$cbd942915f33be50);
    const [year, month, day, hour, minute, second, millisecond] = time.toJSON().split(/\D/);
    return template.replace(/ms/g, millisecond).replace(/Y+/g, $e244f00e02a34cb8$var$fitUnit(year)).replace(/M+/g, $e244f00e02a34cb8$var$fitUnit(month)).replace(/D+/g, $e244f00e02a34cb8$var$fitUnit(day)).replace(/H+/g, $e244f00e02a34cb8$var$fitUnit(hour)).replace(/m+/g, $e244f00e02a34cb8$var$fitUnit(minute)).replace(/s+/g, $e244f00e02a34cb8$var$fitUnit(second));
}
function $e244f00e02a34cb8$export$62ad822b3a5fd9a0(date, delta) {
    date = new Date(date);
    const month = date.getMonth() + delta;
    date.setFullYear(date.getFullYear() + Math.floor(month / 12));
    delta = month % 12;
    date.setMonth(delta < 0 ? 12 + delta : delta);
    return date;
}

});


parcelRequire("9FUqN");
var $73e738b2939118c1$exports = {};

$parcel$export($73e738b2939118c1$exports, "sum", function () { return $73e738b2939118c1$export$8a63f25cc62965f1; });
$parcel$export($73e738b2939118c1$exports, "averageOf", function () { return $73e738b2939118c1$export$e1f36757ecda301d; });
$parcel$export($73e738b2939118c1$exports, "varianceOf", function () { return $73e738b2939118c1$export$8e694e1eafd55acb; });
$parcel$export($73e738b2939118c1$exports, "standardDeviationOf", function () { return $73e738b2939118c1$export$57d7c52a66287430; });
$parcel$export($73e738b2939118c1$exports, "hypotenuseOf", function () { return $73e738b2939118c1$export$2b4693832ca3ce16; });
$parcel$export($73e738b2939118c1$exports, "carryFloat", function () { return $73e738b2939118c1$export$5b784e078da1ce6; });
$parcel$export($73e738b2939118c1$exports, "fixFloat", function () { return $73e738b2939118c1$export$17ec9c9f4f23588c; });
function $73e738b2939118c1$export$8a63f25cc62965f1(...data) {
    return data.reduce((sum, item)=>sum + item
    , 0);
}
function $73e738b2939118c1$export$e1f36757ecda301d(...data) {
    return $73e738b2939118c1$export$8a63f25cc62965f1(...data) / data.length;
}
function $73e738b2939118c1$export$8e694e1eafd55acb(data, sample = false) {
    const average = $73e738b2939118c1$export$e1f36757ecda301d(...data);
    const summary = $73e738b2939118c1$export$8a63f25cc62965f1(...data.map((item)=>(item - average) ** 2
    ));
    return summary / (data.length - (sample ? 1 : 0));
}
function $73e738b2939118c1$export$57d7c52a66287430(data, sample = false) {
    return Math.sqrt($73e738b2939118c1$export$8e694e1eafd55acb(data, sample));
}
function $73e738b2939118c1$export$2b4693832ca3ce16(...data) {
    return Math.sqrt($73e738b2939118c1$export$8a63f25cc62965f1(...data.map((item)=>item ** 2
    )));
}
function $73e738b2939118c1$export$5b784e078da1ce6(raw, length) {
    const text = raw + '';
    const offset = text.indexOf('.') + length + 1;
    if (!text.slice(offset)) return text;
    const value = `${raw + 10 ** -length}`;
    return value.slice(0, offset).replace(/\.$/, '');
}
function $73e738b2939118c1$export$17ec9c9f4f23588c(raw, length = 2) {
    const text = raw + '';
    const floatOffset = text.indexOf('.');
    if (floatOffset < 0) return [
        text,
        '0'.repeat(length)
    ].filter(Boolean).join('.');
    const offset = floatOffset + length + 1;
    const before = +text[offset - 1], anchor = +text[offset], after = +text[offset + 1];
    const carry = anchor > 5 || anchor === 5 && (!!after || !!(before % 2));
    return carry ? $73e738b2939118c1$export$5b784e078da1ce6(raw, length) : text.slice(0, offset);
}


parcelRequire("30Sys");
var $8667004ae8e7b499$exports = {};

$parcel$export($8667004ae8e7b499$exports, "bootI18n", function () { return $8667004ae8e7b499$export$7f64be75480b7546; });
$parcel$export($8667004ae8e7b499$exports, "isNumberLetter", function () { return $8667004ae8e7b499$export$df0b442c7f8df5c1; });
$parcel$export($8667004ae8e7b499$exports, "textJoin", function () { return $8667004ae8e7b499$export$d977f7cd0cb45fe1; });
function $8667004ae8e7b499$export$7f64be75480b7546(data, fallback = document.documentElement.lang || 'en-US') {
    const languages = [
        ...navigator.languages,
        fallback
    ];
    const language1 = languages.find((language)=>language in data
    );
    const words = Object.assign({
    }, ...languages.reverse().map((name)=>data[name]
    ));
    document.documentElement.lang = language1;
    return {
        language: language1,
        words: words
    };
}
function $8667004ae8e7b499$export$df0b442c7f8df5c1(raw = '') {
    return /\p{N}/u.test(raw) || /\p{Ll}/u.test(raw.toLowerCase());
}
function $8667004ae8e7b499$export$d977f7cd0cb45fe1(...parts) {
    return parts.map((raw, index)=>{
        var ref;
        const isNL = $8667004ae8e7b499$export$df0b442c7f8df5c1(raw.slice(-1));
        if (index + 1 === parts.length) return raw;
        const diff = isNL !== $8667004ae8e7b499$export$df0b442c7f8df5c1((ref = parts[index + 1]) === null || ref === void 0 ? void 0 : ref.trim()[0]);
        return raw + (diff || isNL ? ' ' : '');
    }).join('');
}


var $b0b05c133ca87bd4$exports = {};

$parcel$export($b0b05c133ca87bd4$exports, "isXDomain", function () { return $b0b05c133ca87bd4$export$71e6483fc2b024eb; });
$parcel$export($b0b05c133ca87bd4$exports, "parseURLData", function () { return $b0b05c133ca87bd4$export$eb9b2aadbe449a20; });
$parcel$export($b0b05c133ca87bd4$exports, "buildURLData", function () { return $b0b05c133ca87bd4$export$13397a83aa5915d6; });
$parcel$export($b0b05c133ca87bd4$exports, "blobFrom", function () { return $b0b05c133ca87bd4$export$504fbde693c1771c; });

var $9FUqN = parcelRequire("9FUqN");
function $b0b05c133ca87bd4$export$71e6483fc2b024eb(URI) {
    return new URL(URI, document.baseURI).origin !== location.origin;
}
function $b0b05c133ca87bd4$export$eb9b2aadbe449a20(raw = window.location.search) {
    const list1 = raw.split(/\?|#/);
    const data = new URLSearchParams(list1[1] || list1[0]);
    return Object.fromEntries([
        ...data.keys()
    ].map((key)=>{
        const list = data.getAll(key).map($9FUqN.parseJSON);
        return [
            key,
            list.length < 2 ? list[0] : list
        ];
    }));
}
function $b0b05c133ca87bd4$export$13397a83aa5915d6(map) {
    if (!(map instanceof Array)) map = Object.entries(map);
    return new URLSearchParams(map.map(([key, value])=>{
        var ref;
        return !$9FUqN.isEmpty(value) && [
            key,
            ((ref = value.toJSON) === null || ref === void 0 ? void 0 : ref.call(value)) || value + ''
        ];
    }).filter(Boolean));
}
const $b0b05c133ca87bd4$var$DataURI = /^data:(.+?\/(.+?))?(;base64)?,([\s\S]+)/;
function $b0b05c133ca87bd4$export$504fbde693c1771c(URI) {
    var [_, type, __, base64, data] = $b0b05c133ca87bd4$var$DataURI.exec(URI) || [];
    data = base64 ? atob(data) : data;
    const aBuffer = new ArrayBuffer(data.length);
    const uBuffer = new Uint8Array(aBuffer);
    for(let i = 0; data[i]; i++)uBuffer[i] = data.charCodeAt(i);
    return new Blob([
        aBuffer
    ], {
        type: type
    });
}


var $997f7a8e229059cf$exports = {};


var $a772cf2a337c1f53$exports = {};

$parcel$export($a772cf2a337c1f53$exports, "parseDOM", function () { return $a772cf2a337c1f53$export$d66b332881d9723f; });
$parcel$export($a772cf2a337c1f53$exports, "walkDOM", function () { return $a772cf2a337c1f53$export$5118471ee5d5453b; });
$parcel$export($a772cf2a337c1f53$exports, "getVisibleText", function () { return $a772cf2a337c1f53$export$be4650432daa84fd; });
$parcel$export($a772cf2a337c1f53$exports, "splitPages", function () { return $a772cf2a337c1f53$export$578e38b4a3e0b255; });
$parcel$export($a772cf2a337c1f53$exports, "importCSS", function () { return $a772cf2a337c1f53$export$7cd14c57bbb84350; });
$parcel$export($a772cf2a337c1f53$exports, "insertToCursor", function () { return $a772cf2a337c1f53$export$28d9d24a8cd0ffc2; });
$parcel$export($a772cf2a337c1f53$exports, "scrollTo", function () { return $a772cf2a337c1f53$export$3f99968195accfaf; });
$parcel$export($a772cf2a337c1f53$exports, "watchScroll", function () { return $a772cf2a337c1f53$export$eafdbaa868ea9975; });
$parcel$export($a772cf2a337c1f53$exports, "watchVisible", function () { return $a772cf2a337c1f53$export$36a0c1ca2ae264fa; });
$parcel$export($a772cf2a337c1f53$exports, "formToJSON", function () { return $a772cf2a337c1f53$export$86d7c59254d6a2c9; });

var $9FUqN = parcelRequire("9FUqN");
var _pages;
function $a772cf2a337c1f53$export$d66b332881d9723f(HTML) {
    const sandbox = document.createElement('template');
    sandbox.innerHTML = HTML;
    return [
        ...sandbox.content.childNodes
    ].map((node)=>{
        node.remove();
        return node;
    });
}
function* $a772cf2a337c1f53$export$5118471ee5d5453b(root, type) {
    const children = [
        ...root.childNodes
    ];
    if ($9FUqN.isEmpty(type) || type === root.nodeType) yield root;
    for (const node of children)yield* $a772cf2a337c1f53$export$5118471ee5d5453b(node, type);
}
function $a772cf2a337c1f53$export$be4650432daa84fd(root) {
    var text = '';
    for (const { nodeType: nodeType , parentElement: parentElement , nodeValue: nodeValue  } of $a772cf2a337c1f53$export$5118471ee5d5453b(root))if (nodeType === Node.TEXT_NODE && parentElement.getAttribute('aria-hidden') !== 'true') {
        const { width: width , height: height  } = parentElement.getBoundingClientRect();
        if (width && height) text += nodeValue.trim().replace(/\s+/g, ' ');
    }
    return text;
}
function $a772cf2a337c1f53$export$578e38b4a3e0b255({ offsetWidth: offsetWidth , children: children  }, pageHeight = 841.89, pageWidth = 595.28) {
    const scrollHeight = pageHeight / pageWidth * offsetWidth;
    var offset = 0;
    return [
        ...children
    ].reduce((pages, node)=>{
        var { offsetTop: top , offsetHeight: height  } = node;
        top += offset;
        var bottom = top + height;
        const bottomOffset = bottom / scrollHeight;
        const topIndex = ~~(top / scrollHeight), bottomIndex = ~~bottomOffset;
        if (topIndex !== bottomIndex) offset += height - bottomOffset;
        ((_pages = pages)[bottomIndex] || (_pages[bottomIndex] = [])).push(node);
        return pages;
    }, []);
}
function $a772cf2a337c1f53$export$7cd14c57bbb84350(URI, { alternate: alternate , ...options } = {
}) {
    const style = [
        ...document.styleSheets
    ].find(({ href: href  })=>href === URI
    );
    if (style) return Promise.resolve(style);
    const link = document.createElement('link');
    return new Promise((resolve, reject)=>{
        link.onload = ()=>resolve(link.sheet)
        ;
        link.onerror = (_1, _2, _3, _4, error)=>reject(error)
        ;
        Object.assign(link, options);
        link.rel = (alternate ? 'alternate ' : '') + 'stylesheet';
        link.href = URI;
        document.head.append(link);
    });
}
function $a772cf2a337c1f53$export$28d9d24a8cd0ffc2(...nodes) {
    const fragment = document.createDocumentFragment();
    fragment.append(...nodes);
    for (const node of $a772cf2a337c1f53$export$5118471ee5d5453b(fragment))if (![
        1,
        3,
        11
    ].includes(node.nodeType) || [
        'meta',
        'title',
        'link',
        'script'
    ].includes(node.nodeName.toLowerCase())) node.replaceWith(...node.childNodes);
    const selection = globalThis.getSelection();
    if (!selection) return;
    const range = selection.getRangeAt(0);
    range.deleteContents();
    range.insertNode(fragment);
}
function $a772cf2a337c1f53$export$3f99968195accfaf(selector, root) {
    var ref;
    const [_, ID] = /^#(.+)/.exec(selector) || [];
    if (ID === 'top') window.scrollTo({
        top: 0,
        left: 0,
        behavior: 'smooth'
    });
    else (ref = (root || document).querySelector(ID ? `[id="${ID}"]` : selector)) === null || ref === void 0 ? void 0 : ref.scrollIntoView({
        behavior: 'smooth'
    });
}
function $a772cf2a337c1f53$export$eafdbaa868ea9975(box, handler, depth = 6) {
    return Array.from(box.querySelectorAll(Array.from(new Array(depth), (_, index)=>`h${++index}`
    ) + ''), (header)=>{
        new IntersectionObserver(([item])=>{
            if (!item.isIntersecting) return;
            const target = item.target;
            handler({
                target: target,
                links: [
                    ...target.ownerDocument.querySelectorAll(`[href="#${target.id}"]`)
                ]
            });
        }).observe(header);
        if (!header.id.trim()) header.id = header.textContent.trim().replace(/\W+/g, '-');
        return {
            level: +header.tagName[1],
            id: header.id,
            text: header.textContent.trim()
        };
    });
}
function $a772cf2a337c1f53$export$36a0c1ca2ae264fa(root, handler) {
    var last = document.visibilityState === 'visible' ? 1 : 0;
    function change(state) {
        if (state === 3 || last === 3) handler(state === 3);
        last = state;
    }
    new IntersectionObserver(([{ isIntersecting: isIntersecting  }])=>change(isIntersecting ? last | 2 : last & 1)
    ).observe(root);
    document.addEventListener('visibilitychange', ()=>change(document.visibilityState === 'visible' ? last | 1 : last & 2)
    );
}
function $a772cf2a337c1f53$export$86d7c59254d6a2c9(form) {
    const data = {
    };
    for (const field of form.elements){
        let { type: type , name: name , value: v , checked: checked , defaultValue: defaultValue , selectedOptions: selectedOptions , files: files  } = field;
        if (!name) continue;
        const box = type !== 'fieldset' && field.closest('fieldset');
        if (box && box !== form) continue;
        if ([
            'radio',
            'checkbox'
        ].includes(type)) {
            if (checked) v = defaultValue || 'true';
            else continue;
        }
        let value1 = $9FUqN.parseJSON(v);
        switch(type){
            case 'select-multiple':
                value1 = Array.from(selectedOptions, ({ value: value  })=>$9FUqN.parseJSON(value)
                );
                break;
            case 'fieldset':
                value1 = $a772cf2a337c1f53$export$86d7c59254d6a2c9(field);
                break;
            case 'file':
                value1 = files && Array.from(files);
                break;
            case 'datetime-local':
                value1 = new Date(value1).toISOString();
        }
        if (name in data) data[name] = [].concat(data[name], value1);
        else data[name] = !(value1 instanceof Array) || !$9FUqN.isEmpty(value1[1]) ? value1 : value1[0];
    }
    return data;
}


var $8f6cbba59e378a88$exports = {};

$parcel$export($8f6cbba59e378a88$exports, "sleep", function () { return $8f6cbba59e378a88$export$e772c8ff12451969; });
$parcel$export($8f6cbba59e378a88$exports, "asyncLoop", function () { return $8f6cbba59e378a88$export$57207d71b8c929c8; });
function $8f6cbba59e378a88$export$e772c8ff12451969(seconds = 1) {
    return new Promise((resolve)=>setTimeout(resolve, seconds * 1000)
    );
}
function $8f6cbba59e378a88$export$57207d71b8c929c8(executor, seconds = 1) {
    var stop = false;
    (async ()=>{
        while(!stop){
            const result = executor();
            if (result instanceof Promise) await result;
            await $8f6cbba59e378a88$export$e772c8ff12451969(seconds);
        }
    })();
    return ()=>stop = true
    ;
}


var $d8543b3b73415152$exports = {};

$parcel$export($d8543b3b73415152$exports, "promisify", function () { return $d8543b3b73415152$export$1d1d2ed6b55cf67f; });
$parcel$export($d8543b3b73415152$exports, "createMessageServer", function () { return $d8543b3b73415152$export$2155c0b5a4b77fb8; });
$parcel$export($d8543b3b73415152$exports, "createMessageClient", function () { return $d8543b3b73415152$export$9d97473344489dfc; });
$parcel$export($d8543b3b73415152$exports, "serviceWorkerUpdate", function () { return $d8543b3b73415152$export$d635d04af3887bbe; });

var $9FUqN = parcelRequire("9FUqN");
function $d8543b3b73415152$export$1d1d2ed6b55cf67f(scope, element) {
    return new Promise((resolve, reject)=>{
        function end(event) {
            resolve(event), clean();
        }
        function cancel(event) {
            reject(event), clean();
        }
        function clean() {
            element.removeEventListener(scope + 'end', end);
            element.removeEventListener(scope + 'cancel', cancel);
        }
        element.addEventListener(scope + 'end', end);
        element.addEventListener(scope + 'cancel', cancel);
    });
}
function $d8543b3b73415152$export$2155c0b5a4b77fb8(handlers) {
    async function server({ data: { type: type , id: id , ...data } , source: source , origin: origin  }) {
        var ref;
        var result = (ref = handlers[type]) === null || ref === void 0 ? void 0 : ref.call(handlers, data);
        if (result instanceof Promise) result = await result;
        source.postMessage({
            ...result,
            id: id
        }, origin);
    }
    globalThis.addEventListener('message', server);
    return ()=>globalThis.removeEventListener('message', server)
    ;
}
function $d8543b3b73415152$export$9d97473344489dfc(target, origin = '*') {
    return (type, data1)=>new Promise((resolve)=>{
            const UID = $9FUqN.uniqueID();
            function handler({ data: { id: id , ...data }  }) {
                if (id !== UID) return;
                resolve(data);
                globalThis.removeEventListener('message', handler);
            }
            globalThis.addEventListener('message', handler);
            target.postMessage({
                id: UID,
                type: type,
                ...data1
            }, origin);
        })
    ;
}
function $d8543b3b73415152$export$d635d04af3887bbe(registration) {
    return new Promise((resolve)=>{
        if (registration.waiting) return resolve(registration.waiting);
        registration.onupdatefound = ()=>{
            var ref;
            return (ref = registration.installing) === null || ref === void 0 ? void 0 : ref.addEventListener('statechange', function() {
                if (this.state === 'installed' && navigator.serviceWorker.controller) resolve(this);
            });
        };
    });
}


var $481baf6e1170140c$exports = {};

$parcel$export($481baf6e1170140c$exports, "PageVector", function () { return $481baf6e1170140c$export$1b88f6b6d432a52a; });
$parcel$export($481baf6e1170140c$exports, "getSwipeVector", function () { return $481baf6e1170140c$export$b70f6380221b1350; });
$parcel$export($481baf6e1170140c$exports, "durationOf", function () { return $481baf6e1170140c$export$75d6cbe4503e149; });
$parcel$export($481baf6e1170140c$exports, "watchMotion", function () { return $481baf6e1170140c$export$b2618d51188815c2; });
$parcel$export($481baf6e1170140c$exports, "transitIn", function () { return $481baf6e1170140c$export$490814474ddbb428; });
$parcel$export($481baf6e1170140c$exports, "animateIn", function () { return $481baf6e1170140c$export$3ea201dffb50dfef; });
$parcel$export($481baf6e1170140c$exports, "transitOut", function () { return $481baf6e1170140c$export$d1012c7198c6b460; });
$parcel$export($481baf6e1170140c$exports, "animateOut", function () { return $481baf6e1170140c$export$a35a418b7b17958e; });

class $481baf6e1170140c$export$1b88f6b6d432a52a {
    get length() {
        const { from: from , to: to  } = this;
        return Math.sqrt(Math.pow(to.x - from.x, 2) + Math.pow(to.y - from.y, 2) + (to.z != null ? Math.pow(to.z - from.z, 2) : 0));
    }
    get direction() {
        const { from: from , to: to  } = this;
        const XD = to.x - from.x, YD = to.y - from.y, ZD = to.z - from.z;
        const XL = Math.abs(XD), YL = Math.abs(YD), ZL = Math.abs(ZD);
        switch(isNaN(ZL) ? Math.max(XL, YL) : Math.max(XL, YL, ZL)){
            case XL:
                return XD > 0 ? 'right' : 'left';
            case YL:
                return YD > 0 ? 'forward' : 'backward';
            case ZL:
                return ZD > 0 ? 'up' : 'down';
        }
    }
    constructor(from1, to1){
        this.from = from1;
        this.to = to1;
    }
}
function $481baf6e1170140c$export$b70f6380221b1350(from, to, threshold = parseInt(getComputedStyle(document.body).fontSize) * 6) {
    var ref;
    const vector = new $481baf6e1170140c$export$1b88f6b6d432a52a(from, to);
    if (vector.length >= threshold && !((ref = getSelection()) === null || ref === void 0 ? void 0 : ref.toString().trim())) return vector;
}
function $481baf6e1170140c$export$75d6cbe4503e149(type, element) {
    const { transitionDuration: transitionDuration , animationDuration: animationDuration  } = getComputedStyle(element);
    const duration = type === 'animation' ? animationDuration : transitionDuration;
    return parseFloat(duration) * (duration.slice(-2) === 'ms' ? 1 : 1000);
}
function $481baf6e1170140c$export$b2618d51188815c2(type, element) {
    return Promise.race([
        $d8543b3b73415152$export$1d1d2ed6b55cf67f(type, element).catch((event)=>Promise.resolve(event)
        ),
        new Promise((resolve)=>setTimeout(resolve, $481baf6e1170140c$export$75d6cbe4503e149(type, element))
        )
    ]);
}
function $481baf6e1170140c$var$fadeIn(type, element, className, display) {
    element.style.display = display;
    const end = $481baf6e1170140c$export$b2618d51188815c2(type, element);
    return new Promise((resolve)=>requestAnimationFrame(()=>{
            element.classList.add(className);
            end.then(resolve);
        })
    );
}
async function $481baf6e1170140c$var$fadeOut(type, element, className, remove) {
    const end = $481baf6e1170140c$export$b2618d51188815c2(type, element);
    element.classList.remove(className);
    await end;
    if (remove) element.remove();
    else element.style.display = 'none';
}
function $481baf6e1170140c$export$490814474ddbb428(element, className, display = 'block') {
    return $481baf6e1170140c$var$fadeIn('transition', element, className, display);
}
function $481baf6e1170140c$export$3ea201dffb50dfef(element, className, display = 'block') {
    return $481baf6e1170140c$var$fadeIn('animation', element, className, display);
}
function $481baf6e1170140c$export$d1012c7198c6b460(element, className, remove) {
    return $481baf6e1170140c$var$fadeOut('transition', element, className, remove);
}
function $481baf6e1170140c$export$a35a418b7b17958e(element, className, remove) {
    return $481baf6e1170140c$var$fadeOut('animation', element, className, remove);
}




var isEmpty = parcelRequire("9FUqN").isEmpty;
var byteLength = parcelRequire("9FUqN").byteLength;
var uniqueID = parcelRequire("9FUqN").uniqueID;
var differ = parcelRequire("9FUqN").differ;
var likeArray = parcelRequire("9FUqN").likeArray;
var makeArray = parcelRequire("9FUqN").makeArray;
var groupBy = parcelRequire("9FUqN").groupBy;
var parseJSON = parcelRequire("9FUqN").parseJSON;
var parseTextTable = parcelRequire("9FUqN").parseTextTable;
var makeCRC32 = parcelRequire("9FUqN").makeCRC32;
var makeSHA = parcelRequire("9FUqN").makeSHA;
var $04c2654e66308b1b$exports = parcelRequire("9FUqN")["*"];
var $e244f00e02a34cb8$export$c489aa6f7fd82b1a = parcelRequire("30Sys").Second;
var $e244f00e02a34cb8$export$cbd942915f33be50 = parcelRequire("30Sys").Minute;
var $e244f00e02a34cb8$export$9b886f8493244014 = parcelRequire("30Sys").Quarter;
var $e244f00e02a34cb8$export$e99cbb807a5bb10d = parcelRequire("30Sys").Hour;
var $e244f00e02a34cb8$export$7a9a31a911eb9a20 = parcelRequire("30Sys").Day;
var $e244f00e02a34cb8$export$fca4f8121099df57 = parcelRequire("30Sys").Week;
var $e244f00e02a34cb8$export$6ce2f08d515512 = parcelRequire("30Sys").Year;
var $e244f00e02a34cb8$export$951c8378cdfec6e6 = parcelRequire("30Sys").Month;
var $e244f00e02a34cb8$export$1a4097b876a13bf7 = parcelRequire("30Sys").Season;
var $e244f00e02a34cb8$export$91505678358c9225 = parcelRequire("30Sys").ISODatePattern;
var $e244f00e02a34cb8$export$506c8e8f8c8edda = parcelRequire("30Sys").diffTime;
var $e244f00e02a34cb8$export$3ae94a2503e890a1 = parcelRequire("30Sys").formatDate;
var $e244f00e02a34cb8$export$62ad822b3a5fd9a0 = parcelRequire("30Sys").changeMonth;
export {isEmpty as isEmpty, byteLength as byteLength, uniqueID as uniqueID, differ as differ, likeArray as likeArray, makeArray as makeArray, groupBy as groupBy, parseJSON as parseJSON, parseTextTable as parseTextTable, makeCRC32 as makeCRC32, makeSHA as makeSHA, $04c2654e66308b1b$exports as default, $73e738b2939118c1$export$8a63f25cc62965f1 as sum, $73e738b2939118c1$export$e1f36757ecda301d as averageOf, $73e738b2939118c1$export$8e694e1eafd55acb as varianceOf, $73e738b2939118c1$export$57d7c52a66287430 as standardDeviationOf, $73e738b2939118c1$export$2b4693832ca3ce16 as hypotenuseOf, $73e738b2939118c1$export$5b784e078da1ce6 as carryFloat, $73e738b2939118c1$export$17ec9c9f4f23588c as fixFloat, $e244f00e02a34cb8$export$c489aa6f7fd82b1a as Second, $e244f00e02a34cb8$export$cbd942915f33be50 as Minute, $e244f00e02a34cb8$export$9b886f8493244014 as Quarter, $e244f00e02a34cb8$export$e99cbb807a5bb10d as Hour, $e244f00e02a34cb8$export$7a9a31a911eb9a20 as Day, $e244f00e02a34cb8$export$fca4f8121099df57 as Week, $e244f00e02a34cb8$export$6ce2f08d515512 as Year, $e244f00e02a34cb8$export$951c8378cdfec6e6 as Month, $e244f00e02a34cb8$export$1a4097b876a13bf7 as Season, $e244f00e02a34cb8$export$91505678358c9225 as ISODatePattern, $e244f00e02a34cb8$export$506c8e8f8c8edda as diffTime, $e244f00e02a34cb8$export$3ae94a2503e890a1 as formatDate, $e244f00e02a34cb8$export$62ad822b3a5fd9a0 as changeMonth, $8667004ae8e7b499$export$7f64be75480b7546 as bootI18n, $8667004ae8e7b499$export$df0b442c7f8df5c1 as isNumberLetter, $8667004ae8e7b499$export$d977f7cd0cb45fe1 as textJoin, $b0b05c133ca87bd4$export$71e6483fc2b024eb as isXDomain, $b0b05c133ca87bd4$export$eb9b2aadbe449a20 as parseURLData, $b0b05c133ca87bd4$export$13397a83aa5915d6 as buildURLData, $b0b05c133ca87bd4$export$504fbde693c1771c as blobFrom, $a772cf2a337c1f53$export$d66b332881d9723f as parseDOM, $a772cf2a337c1f53$export$5118471ee5d5453b as walkDOM, $a772cf2a337c1f53$export$be4650432daa84fd as getVisibleText, $a772cf2a337c1f53$export$578e38b4a3e0b255 as splitPages, $a772cf2a337c1f53$export$7cd14c57bbb84350 as importCSS, $a772cf2a337c1f53$export$28d9d24a8cd0ffc2 as insertToCursor, $a772cf2a337c1f53$export$3f99968195accfaf as scrollTo, $a772cf2a337c1f53$export$eafdbaa868ea9975 as watchScroll, $a772cf2a337c1f53$export$36a0c1ca2ae264fa as watchVisible, $a772cf2a337c1f53$export$86d7c59254d6a2c9 as formToJSON, $8f6cbba59e378a88$export$e772c8ff12451969 as sleep, $8f6cbba59e378a88$export$57207d71b8c929c8 as asyncLoop, $d8543b3b73415152$export$1d1d2ed6b55cf67f as promisify, $d8543b3b73415152$export$2155c0b5a4b77fb8 as createMessageServer, $d8543b3b73415152$export$9d97473344489dfc as createMessageClient, $d8543b3b73415152$export$d635d04af3887bbe as serviceWorkerUpdate, $481baf6e1170140c$export$1b88f6b6d432a52a as PageVector, $481baf6e1170140c$export$b70f6380221b1350 as getSwipeVector, $481baf6e1170140c$export$75d6cbe4503e149 as durationOf, $481baf6e1170140c$export$b2618d51188815c2 as watchMotion, $481baf6e1170140c$export$490814474ddbb428 as transitIn, $481baf6e1170140c$export$3ea201dffb50dfef as animateIn, $481baf6e1170140c$export$d1012c7198c6b460 as transitOut, $481baf6e1170140c$export$a35a418b7b17958e as animateOut};
//# sourceMappingURL=index.esm.js.map
